BEGIN { 
    $| = 1; 
    print "1..8\n"; 
}
END {
    print "not ok 1\n" unless $loaded;
}

my $debug = 0;
my $count = 1;
$loaded = 1;
sub compare {
    my ($is,$should) = @_;
    my $differ = ($is ne $should);
    $count++;
    if ($differ) {
        warn "test $count: is: `$is'\n should be: `$should'\n";
        print "not ";
    }
    print "ok $count\n";
    return $differ;
}

use ADS::RefResolver::Client;
print "ok 1\n";

my $resolver = ADS::RefResolver::Client->new(Debug => $debug);
my %refs = (
  'Abt, H. 1990, ApJ, 357, 1' 
	=> '1990ApJ...357....1A',
  'J. B. Gupta, K. Kumar, and J. H. Hamilton, Phys. Rev. C 16, 427 (1977).' 
	=> '1977PhRvC..16..427G',
  'Adainson M, Kerr Th, Whittet DCB, Duley WW. 1994. MNRAS 268:705-8'
	=> '1994MNRAS.268..705A',
  'Wali, K. 1991, Chandra: A Biography of S. Chandrasekhar (Chicago: Univ.
    Chicago Press)'
	=> '1991cbsc.book.....W',
  'Rees, M. J. 1984, in Formation and Evolution of
    Galaxies and Large Scale Structure in the Universe, ed. J. Audouze
and T. T. Van (Dordrecht: Reidel), 271'
	=> '1984fegl.proc..271R',
  'Hermsen, W., et. al. 1992, IAU Circ. No. 5541' 
	=> '1992IAUC.5541....1H',
  'Pollock, J. T. 1982, Ph. D. Thesis, University of Florida' 
	=> '1982PhDT.........1P',
);
my @refs = sort keys %refs;
@results = $resolver->resolve(@refs);
while (@results) {
    my $res = shift(@results);
    my $ref = shift(@refs);
    compare($res->{bibcode},$refs{$ref});
    if ($debug) {
        print STDERR $res->{bibcode}
		if ($res->{bibcode} and $res->{confidence} >=1);
        print "\t", $res->{reference}, "\n";
    }
}
